-- @author	haker146
-- @date	20/01/2023


realseason = {}
realseason.modDir = g_currentModDirectory
realseason.xmlFilename = Utils.getFilename('data/RealSeasonEnvironment.xml', realseason.modDir)

function realseason:loadEnvironment(xmlFile)
	--local filename = Utils.getFilename(getXMLString(xmlFile, 'map.environment#filename'), self.baseDirectory) --Disable default environment fetch.
	self.environment = Environment.new(self)
	--self.environment:load(filename) --Disable default environment loading.
	self.environment:load(realseason.xmlFilename)
	if self.missionInfo.environmentXMLLoad ~= nil and self:getIsServer() then
		local envXmlFile = loadXMLFile('environmentXML', self.missionInfo.environmentXMLLoad)
		self.environment:loadFromXMLFile(envXmlFile, 'environment')
		delete(envXmlFile)
	end
	self.hud:setEnvironment(self.environment)
	self.inGameMenu:setEnvironment(self.environment)
end
Mission00.loadEnvironment = Utils.overwrittenFunction(Mission00.loadEnvironment, realseason.loadEnvironment)

--Override default !mapDir! to load envMap and colorGradings from !modDir! instead.
function realseason:load(xmlFile, baseKey)
	local envMap = xmlFile:getString(baseKey .. ".envMap#basePath")
	local day = xmlFile:getString(baseKey .. ".colorGrading.day#filename")
	local night = xmlFile:getString(baseKey .. ".colorGrading.night#filename")
	self.envMapBasePath = Utils.getFilename(envMap, realseason.modDir)
	self.colorGradingDay = Utils.getFilename(day, realseason.modDir)
	self.colorGradingNight = Utils.getFilename(night, realseason.modDir)
end
Lighting.load = Utils.appendedFunction(Lighting.load, realseason.load)